class InternalAuditTimerModel {
  int? id;
  String? startDate;
  String? endDate;
  double? totalWorkingHour;
  String? comment;

  InternalAuditTimerModel({
    this.id,
    this.startDate,
    this.endDate,
    this.totalWorkingHour,
    this.comment,
  });

  factory InternalAuditTimerModel.fromJson(Map<String, dynamic> json) {
    return InternalAuditTimerModel(
      id: json['id'] as int?,
      startDate: json['startDate'],
      endDate: json['endDate'],
      totalWorkingHour: (json['totalWorkingHours'] as num?)?.toDouble(),
      comment: json['comment'] as String?,
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'startDate': startDate,
      'endDate': endDate,
      'totalWorkingHours': totalWorkingHour,
      'comment': comment,
    };
  }
}